Loading...
Searching...
No Matches
Magick::pixelColorImage Class Reference

## Public Member Functions

| pixelColorImage (const ::ssize_t x_, const ::ssize_t y_, const Color &color_)
void | operator() (Image &image_) const

## Private Attributes

::ssize_t | _x
::ssize_t | _y
Color | _color

## Detailed Description

Definition at line 1609 of file STL.h.

## Constructor & Destructor Documentation

## pixelColorImage()

Magick::pixelColorImage::pixelColorImage | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Color & | color_
| ) |  |

Definition at line 1450 of file STL.cpp.

: _x( x_ ),
_y( y_ ),
_color( color_ ) { }

## Member Function Documentation

## operator()()

void Magick::pixelColorImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1457 of file STL.cpp.

{
image_.pixelColor( _x, _y, _color );
}

## Field Documentation

## _color

Color Magick::pixelColorImage::_color

private

Definition at line 1621 of file STL.h.

## _x

::ssize_t Magick::pixelColorImage::_x

private

Definition at line 1619 of file STL.h.

## _y

::ssize_t Magick::pixelColorImage::_y

private

Definition at line 1620 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp